Subject: Re: emacs server with X11 build on OSX

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Aug 2010 13:24:12 +0200

>> That would make sense if emacsclient.c only supports ipv4.  Not being
>> up-to-speed on ipv6, I do not know whether that's the case.
> It is right now, at least because there are a few hardcoded 127.0.0.1.

OK.

>> We should rather do that in the C code of make-network-process, where
>> instead of "localhost" we might prefer using "127.0.0.1".
> Wouldn't that run counter to adapting to IPv6?

Could be, but if the workaround is needed for server.el, I can't see why
it would not be needed for other (IPv4) uses of make-network-process.

        Stefan